<?php

$db_path = $_SERVER['DOCUMENT_ROOT'] . '/assets/database.sqlite';

$query_result;

try {
	/*Setup SQL Interface*/
	$pdo = new PDO('sqlite:' . $db_path);
	$pdo->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC);
	$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

	/*Prepare query*/
	$query = $pdo->prepare("SELECT username, password FROM users
									WHERE username = :username");

	/*Execute query*/
	$query->execute([
		'type' => $_POST['username'],
		'date' => $_POST['password']
	]);
	$query_result = $query->fetchAll();

	
} catch (PDOException $exception) {
	echo var_dump($exception->getMessage());
}
